Package org.drinkless.tdlib

# Class TdApi.MessageContent

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent

Direct Known Subclasses:
  `TdApi.MessageAnimatedEmoji`, `TdApi.MessageAnimation`, `TdApi.MessageAudio`, `TdApi.MessageBasicGroupChatCreate`, `TdApi.MessageBotWriteAccessAllowed`, `TdApi.MessageCall`, `TdApi.MessageChatAddMembers`, `TdApi.MessageChatBoost`, `TdApi.MessageChatChangePhoto`, `TdApi.MessageChatChangeTitle`, `TdApi.MessageChatDeleteMember`, `TdApi.MessageChatDeletePhoto`, `TdApi.MessageChatHasProtectedContentDisableRequested`, `TdApi.MessageChatHasProtectedContentToggled`, `TdApi.MessageChatJoinByLink`, `TdApi.MessageChatJoinByRequest`, `TdApi.MessageChatOwnerChanged`, `TdApi.MessageChatOwnerLeft`, `TdApi.MessageChatSetBackground`, `TdApi.MessageChatSetMessageAutoDeleteTime`, `TdApi.MessageChatSetTheme`, `TdApi.MessageChatShared`, `TdApi.MessageChatUpgradeFrom`, `TdApi.MessageChatUpgradeTo`, `TdApi.MessageChecklist`, `TdApi.MessageChecklistTasksAdded`, `TdApi.MessageChecklistTasksDone`, `TdApi.MessageContact`, `TdApi.MessageContactRegistered`, `TdApi.MessageCustomServiceAction`, `TdApi.MessageDice`, `TdApi.MessageDirectMessagePriceChanged`, `TdApi.MessageDocument`, `TdApi.MessageExpiredPhoto`, `TdApi.MessageExpiredVideo`, `TdApi.MessageExpiredVideoNote`, `TdApi.MessageExpiredVoiceNote`, `TdApi.MessageForumTopicCreated`, `TdApi.MessageForumTopicEdited`, `TdApi.MessageForumTopicIsClosedToggled`, `TdApi.MessageForumTopicIsHiddenToggled`, `TdApi.MessageGame`, `TdApi.MessageGameScore`, `TdApi.MessageGift`, `TdApi.MessageGiftedPremium`, `TdApi.MessageGiftedStars`, `TdApi.MessageGiftedTon`, `TdApi.MessageGiveaway`, `TdApi.MessageGiveawayCompleted`, `TdApi.MessageGiveawayCreated`, `TdApi.MessageGiveawayPrizeStars`, `TdApi.MessageGiveawayWinners`, `TdApi.MessageGroupCall`, `TdApi.MessageInviteVideoChatParticipants`, `TdApi.MessageInvoice`, `TdApi.MessageLocation`, `TdApi.MessageManagedBotCreated`, `TdApi.MessagePaidMedia`, `TdApi.MessagePaidMessagePriceChanged`, `TdApi.MessagePaidMessagesRefunded`, `TdApi.MessagePassportDataReceived`, `TdApi.MessagePassportDataSent`, `TdApi.MessagePaymentRefunded`, `TdApi.MessagePaymentSuccessful`, `TdApi.MessagePaymentSuccessfulBot`, `TdApi.MessagePhoto`, `TdApi.MessagePinMessage`, `TdApi.MessagePoll`, `TdApi.MessagePollOptionAdded`, `TdApi.MessagePollOptionDeleted`, `TdApi.MessagePremiumGiftCode`, `TdApi.MessageProximityAlertTriggered`, `TdApi.MessageRefundedUpgradedGift`, `TdApi.MessageScreenshotTaken`, `TdApi.MessageStakeDice`, `TdApi.MessageSticker`, `TdApi.MessageStory`, `TdApi.MessageSuggestBirthdate`, `TdApi.MessageSuggestedPostApprovalFailed`, `TdApi.MessageSuggestedPostApproved`, `TdApi.MessageSuggestedPostDeclined`, `TdApi.MessageSuggestedPostPaid`, `TdApi.MessageSuggestedPostRefunded`, `TdApi.MessageSuggestProfilePhoto`, `TdApi.MessageSupergroupChatCreate`, `TdApi.MessageText`, `TdApi.MessageUnsupported`, `TdApi.MessageUpgradedGift`, `TdApi.MessageUpgradedGiftPurchaseOffer`, `TdApi.MessageUpgradedGiftPurchaseOfferRejected`, `TdApi.MessageUsersShared`, `TdApi.MessageVenue`, `TdApi.MessageVideo`, `TdApi.MessageVideoChatEnded`, `TdApi.MessageVideoChatScheduled`, `TdApi.MessageVideoChatStarted`, `TdApi.MessageVideoNote`, `TdApi.MessageVoiceNote`, `TdApi.MessageWebAppDataReceived`, `TdApi.MessageWebAppDataSent`

Enclosing class:
  `TdApi`

public abstract static class TdApi.MessageContent extends TdApi.Object
This class is an abstract base class. Contains the content of a message.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `TdApi.MessageContent.Constructors`
  Describes possible values returned by getConstructor().

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageContent()`
  Default class constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageContent

    public MessageContent()
    Default class constructor.

- ## Method Details

  - ### getConstructor

    public abstract int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      identifier uniquely determining type of the object.